package org.alma.controllers;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.text.Text;
import javafx.stage.Stage;



public class ConnectController {

    @FXML
    private TextField pseudo;
    @FXML
    private Button button;
    @FXML
    private Text errorText;

    @FXML
    private void handleButtonConnect () throws Exception {
        if(!this.pseudo.getText().equals("")) {
        // Get the stage of the game
        Stage stage = (Stage) this.button.getScene().getWindow();

        // Get and load the lobby view
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/view/lobby.fxml"));
        Scene scene = new Scene(fxmlLoader.load());

        // Get the controller of the lobby to init the view
        LobbyController controller = fxmlLoader.getController();
        controller.init();

        stage.setScene(scene);
        stage.show();
        }
        else {
            this.errorText.setText("The pseudo is empty");
        }
    }
}
