package org.alma.controllers;

import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.ListView;
import javafx.scene.control.ProgressBar;
import javafx.scene.control.TextArea;
import javafx.scene.image.ImageView;
import javafx.scene.shape.Circle;
import javafx.scene.text.Text;

public class GameController {

    @FXML
    private ImageView bossImage;
    @FXML
    private ProgressBar bossLifeBar;
    @FXML
    private Text bossLifeText;

    @FXML
    private Circle p1Circle;
    @FXML
    private Text p1Pseudo;
    @FXML
    private ProgressBar p1LifeBar;
    @FXML
    private Text p1LifeText;

    @FXML
    private Circle p2Circle;
    @FXML
    private Text p2Pseudo;
    @FXML
    private ProgressBar p2LifeBar;
    @FXML
    private Text p2LifeText;

    @FXML
    private Circle p3Circle;
    @FXML
    private Text p3Pseudo;
    @FXML
    private ProgressBar p3LifeBar;
    @FXML
    private Text p3LifeText;

    @FXML
    private Circle p4Circle;
    @FXML
    private Text p4Pseudo;
    @FXML
    private ProgressBar p4LifeBar;
    @FXML
    private Text p4LifeText;

    @FXML
    private Text userText;
    @FXML
    private ListView<String> attackList;
    @FXML
    private Button attackButton;
    @FXML
    private TextArea loggerEvent;


    public void init() {
        // Hiding other players and boss
        bossLifeBar.setVisible(false);
        p2Circle.setVisible(false);
        p2LifeBar.setVisible(false);
        p3Circle.setVisible(false);
        p3LifeBar.setVisible(false);
        p4Circle.setVisible(false);
        p4LifeBar.setVisible(false);

        userText.setText("Waiting for other players...");
    }
}
